Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.mediator.type
Class KeywordAlignMediator

    java.lang.Object
      gudusoft.gsqlparser.pp.mediator.type.AbstractMediator
          gudusoft.gsqlparser.pp.mediator.type.KeywordAlignMediator

    public class KeywordAlignMediator

extends AbstractMediator

used for align all the keyword

Author:
  zhoujun

Nested Class Summary
`static class` | `KeywordAlignMediator.IndentLevelItem`

Constructor Summary
`KeywordAlignMediator()`

Method Summary
`void` | `addIndentLevelItem(TSourceToken token, int curIndentLen)` save the sourceotoken indent information for current indent level
`void` | `decreaseLevel()`
`int` | `getCurLevelIndentLen()` get the indent length for current level
`int` | `getCurrentIndentLevel()`
`int` | `getLevelIndentLen(int level)`
`void` | `increaseLevel()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeywordAlignMediator

    public KeywordAlignMediator()

Method Detail

### addIndentLevelItem

    public void addIndentLevelItem(TSourceToken token,
                                   int curIndentLen)

  save the sourceotoken indent information for current indent level

  Parameters:
    `token` -
    `curIndentLen` -

### getCurLevelIndentLen

    public int getCurLevelIndentLen()

  get the indent length for current level

  Returns:

### getLevelIndentLen

    public int getLevelIndentLen(int level)

### getCurrentIndentLevel

    public int getCurrentIndentLevel()

### increaseLevel

    public void increaseLevel()

### decreaseLevel

    public void decreaseLevel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD